%define upstream_name    HTML-TreeBuilder-LibXML
%define upstream_version 0.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    HTML::Element compatible API for HTML::TreeBuilder::LibXML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTML::TreeBuilder::XPath) >= 0.140.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(XML::LibXML) >= 1.700.0
BuildArch:  noarch

%description
HTML::TreeBuilder::XPath is libxml based compatible interface to
HTML::TreeBuilder, which could be slow for a large document.

HTML::TreeBuilder::LibXML is drop-in-replacement for
HTML::TreeBuilder::XPath.

This module doesn't implement all of HTML::TreeBuilder and HTML::Element
APIs, but eough methods are defined so modules like Web::Scraper work.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.yml MYMETA.yml LICENSE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.230.0-2.mga4
+ Revision: 537214
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.230.0-1.mga4
+ Revision: 486594
- update to 0.23

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 368205
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.170.0-1.mga3
+ Revision: 267343
- update to 0.17

* Tue Jun 05 2012 jquelin <jquelin> 0.160.0-1.mga3
+ Revision: 254996
- update to 0.16

* Thu Dec 08 2011 kharec <kharec> 0.150.0-1.mga2
+ Revision: 179188
- update to 0.15

* Fri Oct 14 2011 jquelin <jquelin> 0.130.0-1.mga2
+ Revision: 155032
- update to 0.13

* Sun Jan 23 2011 jquelin <jquelin> 0.120.0-2.mga1
+ Revision: 33814
- mageia rebuild
- cleaning spec file
- imported package perl-HTML-TreeBuilder-LibXML


* Mon Dec 06 2010 Shlomi Fish <shlomif@mandriva.org> 0.120.0-2mdv2011.0
+ Revision: 612977
- Bumped the rel to rebuild
- import perl-HTML-TreeBuilder-LibXML

